| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
datetime.php File Reference

## Functions
| timezone_cmp ($a, $b)
| select_timezone ($current= 'America/Los_Angeles')
| field_timezone ($name='timezone', $label='', $current= 'America/Los_Angeles', $help)
| datetime_convert ($from= 'UTC', $to= 'UTC', $s= 'now', $fmt="Y-m-d H:i:s")
| dob ($dob)
| datesel_format ($f)
| datesel ($f, $pre, $ymin, $ymax, $allow_blank, $y, $m, $d)
| timesel ($pre, $h, $m)
| relative_date ($posted_date, $format=null)
| age ($dob, $owner_tz= '', $viewer_tz= '')
| get_dim ($y, $m)
| get_first_dim ($y, $m)
| cal ($y=0, $m=0, $links=false, $class='')

## Function Documentation

age | ( |  | $dob,
|  |  | $owner_tz = `''`,
|  |  | $viewer_tz = `''`
| ) |  |

Referenced by advanced_profile(), directory_content(), profiles_content(), syncdirs(), and zfinger_init().

cal | ( |  | $y = `0`,
|  |  | $m = `0`,
|  |  | $links = `false`,
|  |  | $class = `''`
| ) |  |

Referenced by events_content().

datesel | ( |  | $f,
|  |  | $pre,
|  |  | $ymin,
|  |  | $ymax,
|  |  | $allow_blank,
|  |  | $y,
|  |  | $m,
|  |  | $d
| ) |  |

Referenced by dob(), and events_content().

datesel_format | ( |  | $f | ) |

Referenced by events_content(), and profiles_content().

datetime_convert | ( |  | $from = `'UTC'`,
|  |  | $to = `'UTC'`,
|  |  | $s = `'now'`,
|  |  | $fmt = `"Y-m-d H:i:s"`
| ) |  |

Referenced by add_fcontact(), advanced_profile(), age(), api_account_rate_limit_status(), api_date(), api_rss_extra(), atom_entry(), attach_store(), authenticate_success(), build_sync_packet(), cal(), channel_content(), Cache\clear(), consume_feed(), conversation(), create_account(), create_identity(), crepair_post(), cronhooks_run(), delete_item_lowlevel(), deliver_run(), dirsearch_content(), dlogger(), dob(), ev_compare(), event_store(), events_content(), events_post(), first_post_date(), format_event_diaspora(), format_event_html(), fsuggest_post(), get_atom_elements(), get_birthdays(), get_events(), get_feed_for(), get_first_dim(), get_item_elements(), get_mail_elements(), get_profile_elements(), get_public_feed(), Item\get_template_data(), import_directory_profile(), import_post(), import_site(), import_xchan(), invite_post(), item_post(), item_store(), item_store_update(), items_fetch(), lastpost_content(), like_content(), logger(), FKOAuth1\loginUser(), magic_init(), mail_store(), message_content(), network_content(), new_contact(), notification(), notifier_run(), onepoll_run(), photo_upload(), photos_post(), ping_init(), poco_load(), poller_run(), post_post(), posted_dates(), profile_photo_post(), profiles_content(), profiles_post(), dba_mysql\q(), dba_mysqli\q(), queue_run(), relative_date(), photo_driver\save(), send_message(), send_reg_approval_email(), Cache\set(), settings_post(), photo_driver\store(), update_modtime(), update_queue_time(), z_birthday(), zot_feed(), zot_process_response(), zot_refresh(), and zotfeed_init().

dob | ( |  | $dob | ) |

Referenced by profiles_content().

field_timezone | ( |  | $name = `'timezone'`,
|  |  | $label = `''`,
|  |  | $current = `'America/Los_Angeles'`,
|  |  | $help
| ) |  |

Referenced by setup_content().

get_dim | ( |  | $y,
|  |  | $m
| ) |  |

Referenced by cal(), events_content(), and posted_dates().

get_first_dim | ( |  | $y,
|  |  | $m
| ) |  |

Referenced by cal().

relative_date | ( |  | $posted_date,
|  |  | $format = `null`
| ) |  |

Referenced by admin_page_users(), advanced_profile(), bb_ShareAttributes(), conversation(), format_notification(), Item\get_template_data(), notifications_content(), notify_content(), and ping_init().

select_timezone | ( |  | $current = `'America/Los_Angeles'` | ) |

Referenced by field_timezone().

timesel | ( |  | $pre,
|  |  | $h,
|  |  | $m
| ) |  |

Referenced by events_content().

timezone_cmp | ( |  | $a,
|  |  | $b
| ) |  |